/*
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::Core
* @author     Manfred Kroehnert (Manfred dot Kroehnert at kit dot edu)
* @copyright  2013 H2T, KIT
* @license    http://www.gnu.org/licenses/gpl-2.0.txt
*             GNU General Public License
*/

#ifndef _ARMARX_CORE_ROBOTSTATE_LINKEDPOSE_SLICE_
#define _ARMARX_CORE_ROBOTSTATE_LINKEDPOSE_SLICE_

#include <RobotAPI/interface/robotstate/PoseBase.ice>
#include <RobotAPI/interface/robotstate/RobotState.ice>

module armarx
{
    ["cpp:virtual"]
    class LinkedPoseBase extends FramedPoseBase
    {
        SharedRobotInterface* referenceRobot;
    };

    ["cpp:virtual"]
    class LinkedVector3Base extends FramedVector3Base
    {
        SharedRobotInterface* referenceRobot;
    };
};

#endif
