/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    Core
 * @author     Matthias Hadlich (matthias dot hadlich at student dot kit dot edu)
 * @copyright  2014 Matthias Hadlich
 * @license    http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#ifndef HARDWAREUNIT_CPP
#define HARDWAREUNIT_CPP

#include "HardwareUnit.h"
#include <vector>
#include <string>

using namespace std;
using namespace armarx;


void HardwareUnit::onInitComponent() {
     this->onInitHardwareUnit();
     offeringTopic("HardwareValues");
}

void HardwareUnit::onConnectComponent() {

    ARMARX_INFO << flush;

    // TODO: muss das hier gleich sein wie der Channel der Kinematicunit?!?!
    //std::string hardwareChannel = "hardware";

    hardwareValuePrx = getTopic<HardwareInterfacePrx>("HardwareValues");
    ARMARX_INFO << "subscribing topic: " << "HardwareValues" << flush;



    this->onConnectHardwareUnit();
}

void HardwareUnit::onExitComponent() {
  this->onExitHardwareUnit();
}


BusNames HardwareUnit::getConfiguredBusses( const Ice::Current& c) {
    return *(new vector<string>());
}
BusInformation HardwareUnit::getBusInformation(const std::string& bus, const Ice::Current& c){
    return *(new BusInformation);
  
}
DeviceNames HardwareUnit::getDevicesOnBus(const std::string &bus, const Ice::Current& c ){
      return *(new vector<string>());
}

DeviceInformation HardwareUnit::getDeviceInformation(const std::string& device,  const Ice::Current& c ) {
  return *(new DeviceInformation);
}

int HardwareUnit::performBasicOperation( BasicOperation& operation,  const Ice::Current& c) {

    return 0;
}

int HardwareUnit::sendCommand(const std::string& command,  const Ice::Current& c ) {

    return 0;
}


PropertyDefinitionsPtr HardwareUnit::createPropertyDefinitions()
{
    return PropertyDefinitionsPtr(new HardwareUnitPropertyDefinitions(
                                           getConfigIdentifier()));
}



#endif
