/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::MotionControlGroup
 * @author     Mirko Waechter ( mirko dot waechter at kit dot edu )
 * @date       2014
 * @copyright  http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#include "testMoveJoints.h"

using namespace armarx;
using namespace MotionControlGroup;

// DO NOT EDIT NEXT LINE
testMoveJoints::SubClassRegistry testMoveJoints::Registry(testMoveJoints::GetName(), &testMoveJoints::CreateInstance);



testMoveJoints::testMoveJoints(XMLStateConstructorParams stateData) :
    XMLStateTemplate < testMoveJoints > (stateData)
{
}

void testMoveJoints::onEnter()
{
    // put your user code for the enter-point here
    // execution time should be short (<100ms)
}

void testMoveJoints::run()
{
    // put your user code for the execution-phase here
    // runs in seperate thread, thus can do complex operations
    // should check constantly whether isRunningTaskStopped() returns true


    while (!isRunningTaskStopped()) // stop run function if returning true
    {
        // do your calculations
    }

}

void testMoveJoints::onBreak()
{
    // put your user code for the breaking point here
    // execution time should be short (<100ms)
}

void testMoveJoints::onExit()
{
    // put your user code for the exit point here
    // execution time should be short (<100ms)

}

// DO NOT EDIT NEXT FUNCTION
std::string testMoveJoints::GetName()
{
    return "testMoveJoints";
}

// DO NOT EDIT NEXT FUNCTION
XMLStateFactoryBasePtr testMoveJoints::CreateInstance(XMLStateConstructorParams stateData)
{
    return XMLStateFactoryBasePtr(new testMoveJoints(stateData));
}

